# $Revision: 1.29.2.2 $, $Date: 2003/04/28 12:51:53 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadKey
Summary:	Term::ReadKey Perl module
Summary(cs):	Modul Term::ReadKey pro Perl
Summary(da):	Perlmodul Term::ReadKey
Summary(de):	Term::ReadKey Perl Modul
Summary(es):	Mdulo de Perl Term::ReadKey
Summary(fr):	Module Perl Term::ReadKey
Summary(it):	Modulo di Perl Term::ReadKey
Summary(ja):	Term::ReadKey Perl ⥸塼
Summary(ko):	Term::ReadKey  
Summary(no):	Perlmodul Term::ReadKey
Summary(pl):	Modu Perla Term::ReadKey
Summary(pt):	Mdulo de Perl Term::ReadKey
Summary(pt_BR):	Mdulo Perl Term::ReadKey
Summary(ru):	  Perl Term::ReadKey
Summary(sv):	Term::ReadKey Perlmodul
Summary(uk):	  Perl Term::ReadKey
Summary(zh_CN):	Term::ReadKey Perl ģ
Name:		perl-Term-ReadKey
Version:	2.21
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	perl-%{pdir}%{pnam}

%description
This module, ReadKey, provides ioctl control for terminals so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin, as well as
several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%description -l pl
Modu perla Term::ReadKey. Modu ten daje obsug ioctl dla terminali,
umoliwiajc zmian trybu wejcia (co pozwala na czytanie po jednym
znaku) oraz nieblokujcy odczyt z wejcia, a take inne funkcje
zwizane z terminalem, w tym odczytywanie i modyfikowanie rozmiaru
ekranu oraz odczytywanie i modyfikowanie znakw kontrolnych.

%description -l pt_BR
Este mdulo fornece controle via ioctl para terminais, de tal forma
que seus modos de entrada possam ser modificados (desta forma
permitindo a leitura de um caracter somente por vez) e tambm fornece
leitura no bloqueantes da entrada padro (stdin), bem como vrias
outras caractersticas relacionadas a terminais, entre elas a
recuperao/modificao do tamanho da tela e dos caracteres de
controle.

%prep
%setup -q -n TermReadKey-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

# tests require terminal
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitearch}/Term/ReadKey.pm
%dir %{perl_sitearch}/auto/Term/ReadKey
# empty autosplit.ix
#%%{perl_sitearch}/auto/Term/ReadKey/autosplit.ix
%{perl_sitearch}/auto/Term/ReadKey/ReadKey.bs
%attr(755,root,root) %{perl_sitearch}/auto/Term/ReadKey/ReadKey.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Term-ReadKey.spec,v $
Revision 1.29.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.29.2.1  2003/03/13 00:58:53  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.29  2003/02/28 10:08:32  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.27  2003/02/18 15:38:32  ankry
- massive attack: change CPAN URLs

Revision 1.26  2002/09/29 18:57:06  ankry
- tests disabled - they require terminal

Revision 1.25  2002/09/28 23:24:29  ankry
- added tests, translations
- removed empty autosplit.ix, cleaning
- version 2.21

Revision 1.24  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.23  2002/07/11 08:04:25  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:48:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/15 12:30:05  areq
- 2.19, STBR

Revision 1.20  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/03/03 22:02:00  marcus
- rel.2.

Revision 1.18  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/10 15:34:49  depesz
adapterized

Revision 1.16  2002/01/26 15:11:28  kloczek
- updated to 2.17 (bugfixes),
- merged trranslations from Conectiva,
- added perl-TermReadKey to Obsoletes.

Revision 1.15  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/10 09:22:41  kloczek
- updated to 2.16 (bugfix release).

Revision 1.13  2001/11/17 07:21:40  kloczek
- updated to 2.15.

Revision 1.12  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:16:14  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/24 00:08:48  kloczek
- release 3: cosmetics.

Revision 1.7  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.6  2000/12/08 12:55:42  kloczek
- release 2: use new rpm automation and rebuild against perl 5.6.

Revision 1.5  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 19:23:48  pius
- initial release
